Bug 568945 - Review Request: cifs-utils - helper programs for mounting CIFS shares
Summary: Review Request: cifs-utils - helper programs for mounting CIFS shares
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-02-27 02:46 UTC by Jeff Layton
Modified: 2014-06-18 07:39 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-06 11:48:59 UTC
ssorce: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)
patch to spec file (690 bytes, patch)
2010-03-03 02:56 UTC, Justin Payne
no flags Details | Diff

Description Jeff Layton 2010-02-27 02:46:36 UTC
Spec URL: http://fedorapeople.org/~jlayton/cifs-utils/cifs-utils.spec
SRPM URL: http://fedorapeople.org/~jlayton/cifs-utils/cifs-utils-4.0-1rc1.fc12.src.rpm

Description:
The SMB/CIFS protocol is a standard file sharing protocol widely deployed
on Microsoft Windows machines. This package contains tools for mounting
shares on Linux using the SMB/CIFS protocol. The tools in this package
work in conjunction with support in the kernel to allow one to mount a
SMB/CIFS share onto a client and use it as if it were a standard Linux
file system.

Comment 1 Jeff Layton 2010-02-27 02:57:41 UTC
This may be a bit more complex than the typical new package...

The cifs utilities traditionally were shipped as part of samba upstream. Upstream, we're splitting the tools out of samba and into an entirely new repo/project. We've decided to make the initial upstream release "4.0" to make it easier for distro packagers to transition from a samba-based package to this one.

Fedora has always shipped these tools as part of the samba-client package. For F13, we've already split these tools out of the samba-client package and into a cifs-utils subpackage. That package is now in updates-testing and should hopefully make it into F13 by the time its released.

When we're ready to approve this package, we'll probably want to coordinate its release with a samba package release. We can then have samba stop building a cifs-utils subpackage and push this package into the repo.  Users should then get the new package more or less seamlessly.

We'll definitely want to do this for F14, and may even want to consider doing the same for F13 as well.

Comment 2 Jeff Layton 2010-03-01 19:24:44 UTC
Flagging as needinfo for Simo and Gunther.

Comment 3 Jeff Layton 2010-03-01 19:25:31 UTC
Simo, GD...

Could you review the package when you get an opportunity?

Comment 4 Simo Sorce 2010-03-02 17:06:04 UTC
rpmlint looks clear

Comment 5 Simo Sorce 2010-03-02 17:07:31 UTC
Jeff, can you explicitly list the binaries to be installed instead of /sbin/* this will help catch changes an unexpected binaries creeping in.

Comment 6 Justin Payne 2010-03-03 02:56:49 UTC
Created attachment 397465 [details]
patch to spec file

For what it's worth, here's my attempt at the spec file changes mentioned in comment #5.

Comment 7 Jeff Layton 2010-03-03 13:18:16 UTC
Thanks Justin...looks good. I went ahead and did a first official release of cifs-utils upstream today too, so I've updated the package to 4.0.

I also applied Justin's patch to the specfile since it looked like it addressed all of Simo's concerns. New package and specfile are here:

http://fedorapeople.org/~jlayton/cifs-utils/cifs-utils-4.0-1.fc12.src.rpm
http://fedorapeople.org/~jlayton/cifs-utils/cifs-utils.spec

Comment 8 Simo Sorce 2010-03-03 14:06:34 UTC
Everything looks good to me.
Acking Review.

Comment 9 Jeff Layton 2010-03-03 14:15:21 UTC
New Package CVS Request
=======================
Package Name: cifs-utils
Short Description: Utilities for mounting and managing CIFS shares
Owners: jlayton
Branches: F-13
InitialCC:

Comment 10 Kevin Fenzi 2010-03-06 05:38:52 UTC
CVS done (by process-cvs-requests.py).

Comment 11 Jeff Layton 2010-03-06 11:48:59 UTC
Thanks, looks good.

Comment 12 Fedora Update System 2010-03-08 13:53:48 UTC
cifs-utils-4.0-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/cifs-utils-4.0-1.fc13


Note You need to log in before you can comment on or make changes to this bug.